Last Comment Bug 739419 - (reviewer-incentives) [tracking] Reviewer Incentives!
(reviewer-incentives)
: [tracking] Reviewer Incentives!
Status: RESOLVED FIXED
:
Product: addons.mozilla.org Graveyard
Classification: Graveyard
Component: Admin/Editor Tools (show other bugs)
: unspecified
: All All
: -- normal
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
https://docs.google.com/document/pub?...
Depends on: 805268 834015 672360 739425 739427 739428 739429 739430 739434 739436 757648 758665 770751 777147 790142 797521 797523 805099 806340 808508 824846 841742 842568 1057594
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-26 14:42 PDT by Gregory Koberger (:gkoberger)
Modified: 2016-02-04 14:47 PST (History)
10 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Gregory Koberger (:gkoberger) 2012-03-26 14:42:50 PDT
Our reviewers make us happy, so let's make them happy.

Here's the spec:
https://docs.google.com/document/pub?id=14QAGYPHocnnK0EHPzsoWxNkwUjBgCvvEaxH4rFkS9UY
Comment 1 Andy McKay [:andym] 2012-03-26 14:55:17 PDT
Does @cvan get a sticker for all his code reviews?
Comment 2 Gregory Koberger (:gkoberger) 2012-05-15 14:24:57 PDT
For this quarter, the priorities are bug 739428, bug 739429 and bug 739430, along with a simple leaderboard for the past 7 days and all time on the main screen.
Comment 3 Wil Clouser [:clouserw] 2012-05-15 15:18:17 PDT
(In reply to Gregory Koberger (:gkoberger) from comment #2)
> For this quarter, the priorities are bug 739428, bug 739429 and bug 739430,
> along with a simple leaderboard for the past 7 days and all time on the main
> screen.

thanks for update
Comment 4 Wil Clouser [:clouserw] 2012-06-04 14:37:50 PDT
goal is hit for Q2, -> no milestone
Comment 5 KLB 2012-07-24 12:40:09 PDT
On point scoring, one add-on type that needs special consideration are multi-part installs as we are frequently seeing with full themes that have options panels.  These add-ons require a full theme review (https://wiki.mozilla.org/AMO:Editors/EditorGuide/ThemeReviews) plus an extension review of the options panel. It is like reviewing two add-ons in one.

While shortcuts can be taken when reviewing updates to previously approved full themes, doing a complete review of a full theme also takes considerable work. As such, it might be a good idea to provide extra points for reviews of newly added themes that have not been reviewed before. Related to this, doing a complete review of a Sea Monkey full theme takes a lot more work than reviewing Firefox or Thunderbird themes and Sea Monkey themes tend to languish in the theme queue because not as many editors are comfortable reviewing Sea Monkey themes so awarding extra points for Sea Monkey themes would be warranted.  

For reference as to how long a through review of a theme takes, I tend to spend 1/2hr to 1hr reviewing a theme. I do pretty detailed reviews, so I may be taking longer than other editors. I will speed up some and skip some tests from the theme review guidelines for themes that I have reviewed several times if I'm comfortable with the theme developer's habits (I never take shortcuts on security issues).
Comment 6 Andy McKay [:andym] 2016-01-18 15:04:27 PST
This tracker only has two bugs on. Closing in an attempt to clear out old trackers. Looks like the incentives work pretty well.

Note You need to log in before you can comment on or make changes to this bug.